# Cards

## Verify Card with Processor

 - [POST /cards/verify](https://docs.shift4.com/apis/payments-platform-rest/openapi/cards/cardsverify.md): This function is used to request card validation by going online to verify the card information with the processor. If Address Verification System (AVS) and/or Card Security Code (CSC) data are sent in the request, that information will also be validated.

To process an Account Name Inquiry request the USEANI API Option and customer.lastName must be sent in the request. customer.firstName and customer.middleName are optional. Account Name Inquiry requests are currently limited to Visa cards.

Integration Methods:
- Host Direct
- Commerce Engine For On Premise
- Commerce Engine For Cloud
- Locally Installed UTG

See the Integration Methods and URLs Section sections of the Development Quick Start guide for details regarding each processing option.

See the JSON Body Schemas for more details on the various JSON body formats.

## Identify Card Type

 - [POST /cards/identify](https://docs.shift4.com/apis/payments-platform-rest/openapi/cards/cardsidentify.md): This function is used to request and return the card type.

Integration Methods:
- Host Direct
- Locally Installed UTG

See the Integration Methods and URLs Section sections of the Development Quick Start guide for details regarding each processing option.

See the JSON Body Schemas for more details on the various JSON body formats.

